function dYfuncvecdt = ODEfun(t,Yfuncvec); 
O2= Yfuncvec(1);
O= Yfuncvec(2);
O3= Yfuncvec(3);
Cl= Yfuncvec(4);
ClO= Yfuncvec(5);
Cl2O2= Yfuncvec(6);
ClO2= Yfuncvec(7);
NO= Yfuncvec(8);
NO2=Yfuncvec(9);
BrCl=Yfuncvec(10);
Br=Yfuncvec(11);
BrO=Yfuncvec(12);
% Explicit equations
k1 =   1.03*10^-94;  %Rates of reaction (cm3/molecule*s)
k2 =   5.92*10^-34;     
k3 =   4.38*10^-26;     
k4 =   1.22*10^-11;     
k5 =   3.8*10^-11;     
k6 =   2.16*10^-32;     
k7 =   8.53*10^-15;     
k8 =   6.51*10^-13;     
k9 =   1.78*10^-14;     
k10 =  1.05*10^-11;     
k11 =  1*10^-18;     
k12 =  1.18*10^-12;    
k13 =  1.02*10^-12;    
k14 =  1.06*10^-8;  %*Assumed value, pending real value* 
r1 =   k1*O2;   % Rate Laws
r2 =   k2*(O2)*(O);     
r3 =   k3*(O3);     
r4 =   k4*(O3)*(Cl);     
r5 =   k5*(O)*(ClO);     
r6 =   k6*(ClO)*(ClO);     
r7 =   k7*(Cl2O2);     
r8 =   k8*(ClO2);     
r9 =   k9*(O3)*(NO);     
r10 =  k10*(NO2)*(O);     
r11 =  k11*(NO2)*(O3);     
r12 =  k12*(Br)*(O3);    
r13 =  k13*(BrO)*(ClO);    
r14 =  k14*(BrCl);
 
% Differential equations
dO2dt =  -r1-r2+r3+r4+r5+r8+r9+r10+2*r11+r12+r13; %PSSH Equations; initial conditions taken from bibliography
dOdt =    (2*k1*(O2)+k3*(O3))/(k2*(O2)+k5*(ClO)+k10*(NO2));
dO3dt =    r2-r3-r4-r9-r11-r12;
dCldt =    (k5*(O)*(ClO)+k7*(Cl2O2)+k8*(ClO2)+k14*(BrCl))/(k4*(O3));
dClOdt =    ((k7*(Cl2O2)+k8*(ClO2))/(2*k6))^0.5;
dCl2O2dt =  r6-r7;
dClO2dt =   r7-r8;
dNOdt =     -r9+r10+r11;
dNO2dt =     r9-r10-r11;     
dBrCldt =    r13-r14;    
dBrdt =    k14*(BrCl)/(k12*(O3));    
dBrOdt =    k14*(BrCl)/(k13*(ClO));  
dYfuncvecdt=[dO2dt;dOdt;dO3dt;dCldt;dClOdt;dCl2O2dt;dClO2dt;dNOdt;dNO2dt;dBrCldt;dBrdt;dBrOdt];



